$!-----------------------------------------------------------------------------
$! BUILD.COM
$! P1 or P2 "UCX" or "NETLIB" to specify IP
$! P1 or P2 "LINK" to link only
$!
$! 07-SEP-97  MGD  modified to support DBUG and to retain NETLIB objects
$! 23-JUL-97  MGD  MultiNet dropped in favour of NETLIB 2.1
$! 01-FEB-97  MGD  HTTPd version 4
$! 06-JAN-96  MGD  build for either UCX or MultiNet
$! 01-DEC-95  MGD  HTTPd version 3
$! 24-MAY-95  MGD  build for AXP systems
$! 20-DEC-94  MGD  multi-threaded server
$! 20-JUN-94  MGD  single-threaded server
$!-----------------------------------------------------------------------------
$ IF P1 .EQS. "NETLIB" .OR. P2 .EQS. "NETLIB" .OR. P3 .EQS. "NETLIB"
$ THEN
$    IP = "_NETLIB"
$    OBJ_IP = "_NETLIB"
$ ELSE
$    IP = "_UCX"
$    OBJ_IP = ""
$ ENDIF
$ IF P1 .EQS. "DBUG" .OR. P2 .EQS. "DBUG" .OR. P3 .EQS. "DBUG"
$ THEN
$    DBUG = "DBUG,"
$ ELSE
$    DBUG = ""
$ ENDIF
$ WRITE SYS$OUTPUT "Building for ""''F$GETSYI("ARCH_NAME")'"" architecture" + -
                   " and ""''IP'"" TCP/IP."
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    OBJ_DIR = "[.OBJ_VAX]"
$    IF F$SEARCH("OBJ_VAX.DIR") .EQS. "" THEN CREATE /DIR 'OBJ_DIR'
$    IF P1 .EQS. "VAXC" .OR. P2 .EQS. "VAXC" .OR. "P3" .EQS. "VAXC"
$    THEN
$!      (compile using VAXC compiler)
$       CC_OPTIONS = "/VAXC /OPT /DEF=(''DBUG'IP''IP') /NODEBUG"
$       LINK_OPTIONS = "[]HTTPD_VAX_VAXC'IP'.OPT /OPTIONS"
$    ELSE
$!      (compile using DECC compiler)
$       CC_OPTIONS = "/STAND=VAXC /OPT /DEF=(''DBUG'IP''IP') /NODEBUG"
$       LINK_OPTIONS = "[]HTTPD_VAX'IP'.OPT /OPTIONS"
$    ENDIF
$ ELSE
$    OBJ_DIR = "[.OBJ_AXP]"
$    IF F$SEARCH("OBJ_AXP.DIR") .EQS. "" THEN CREATE /DIR 'OBJ_DIR'
$!   (only compile using DECC compiler)
$    CC_OPTIONS = "/STAND=VAXC /OPT /DEF=(''DBUG'IP''IP') /NODEBUG"
$    LINK_OPTIONS = "[]HTTPD_AXP'IP'.OPT /OPTIONS"
$ ENDIF
$!
$ IF IP .EQS. "_UCX" THEN IP = ""
$!
$ IF P1 .NES. "LINK" .AND. P2 .NES. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Admin    Admin
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Auth     Auth
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Basic    Basic
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Cache    Cache
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'CLI      CLI
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Config   Config
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Control  Control
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Dcl      Dcl
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Descr    Descr
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Dir      Dir
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Digest   Digest
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Error'OBJ_IP'    Error
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'File     File
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Graph    Graph
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'HTAdmin  HTAdmin
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'HTTPd'OBJ_IP'    HTTPd
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'IsMap    IsMap
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Logging  Logging
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'MapUrl'OBJ_IP'   MapUrl
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'MD5      MD5
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Menu     Menu
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Msg      Msg
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Net'OBJ_IP'      Net
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Put      Put
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Request  Request
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'SSI      SSI
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'StmLF    StmLF
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Support  Support
$    CC 'CC_OPTIONS' /OBJECT='OBJ_DIR'Upd      Upd
$!   'F$VERIFY(0)
$ ENDIF
$!
$ SET ON
$ SET VERIFY
$!
$ LINK /NOTRACE /EXECUTABLE=HT_EXE:HTTPD'IP'.EXE -
  'OBJ_DIR'Admin, -
  'OBJ_DIR'Auth, -
  'OBJ_DIR'Basic, -
  'OBJ_DIR'Cache, -
  'OBJ_DIR'CLI, -
  'OBJ_DIR'Config, -
  'OBJ_DIR'Control, -
  'OBJ_DIR'Dcl, -
  'OBJ_DIR'Descr, -
  'OBJ_DIR'Dir, -
  'OBJ_DIR'Digest, -
  'OBJ_DIR'Error'OBJ_IP', -
  'OBJ_DIR'File, -
  'OBJ_DIR'Graph, -
  'OBJ_DIR'HTAdmin, -
  'OBJ_DIR'HTTPd'OBJ_IP', -
  'OBJ_DIR'IsMap, -
  'OBJ_DIR'Logging, -
  'OBJ_DIR'MapUrl'OBJ_IP', -
  'OBJ_DIR'MD5, -
  'OBJ_DIR'Menu, -
  'OBJ_DIR'Msg, -
  'OBJ_DIR'Net'OBJ_IP', -
  'OBJ_DIR'Put, -
  'OBJ_DIR'Request, -
  'OBJ_DIR'SSI, -
  'OBJ_DIR'StmLF, -
  'OBJ_DIR'Support, -
  'OBJ_DIR'Upd, -
  'LINK_OPTIONS'
$!
$ PURGE /LOG 'OBJ_DIR' /KEEP=3
$ SET PROTECTION=W:E HT_EXE:HTTPD'IP'.EXE;*
$!'F$VERIFY(0)
$!-----------------------------------------------------------------------------
