$!-----------------------------------------------------------------------------
$! BUILD_WWWRKOUT.COM
$! Builds the WWWRKOUT utility for both VAX and AXP systems (separately)
$!
$! 25-JUL-97  MGD  NETLIB support
$! 01-DEC-95  MGD  VAX migrate from VAX C to DEC C
$! 06-JAN-96  MGD  build for either UCX or Multinet
$! 20-JUN-95  MGD  initial development
$!-----------------------------------------------------------------------------
$ IF P1 .EQS. "NETLIB" .OR. P2 .EQS. "NETLIB"
$    THEN VARIETY = "NETLIB"
$    ELSE VARIETY = "UCX"
$ ENDIF
$!
$ ARCH_NAME = F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE")
$ IF ARCH_NAME .EQS. "ALPHA" THEN ARCH_NAME = "AXP"
$ IF F$SEARCH("OBJ_''ARCH_NAME'.DIR") .EQS. "" -
     THEN CREATE /DIR [.OBJ_'ARCH_NAME']
$ OBJECT_DIR = "[.OBJ_''ARCH_NAME']"
$!
$ WRITE SYS$OUTPUT "Building for ""''F$GETSYI("ARCH_NAME")'"" architecture" + -
                   " and ""''VARIETY'"" TCP/IP."
$!
$ IF F$EDIT(F$GETSYI("ARCH_NAME"),"UPCASE") .EQS. "VAX"
$ THEN
$    CC_OPTIONS = "/STANDARD=VAXC /DEFINE=IP_''VARIETY' /OBJECT=''OBJECT_DIR'"
$    LINK_OPTIONS = "[]WWWRKOUT_VAX'VARIETY'.OPT /OPTIONS"
$ ELSE
$    CC_OPTIONS = "/STANDARD=VAXC /DEFINE=IP_''VARIETY' /OBJECT=''OBJECT_DIR'"
$    LINK_OPTIONS = "[]WWWRKOUT_AXP'VARIETY'.OPT /OPTIONS"
$ ENDIF
$!
$ IF VARIETY .EQS. "UCX"
$    THEN VARIETY = ""
$    ELSE VARIETY = "_" + VARIETY
$ ENDIF
$!
$ SET VERIFY
$ IF P1 .NES. "LINK" THEN CC 'CC_OPTIONS' WWWRKOUT
$ LINK /EXECUTABLE=HT_EXE:WWWRKOUT'VARIETY'.EXE 'OBJECT_DIR'WWWRKOUT, 'LINK_OPTIONS'
$!'F$VERIFY(0)
$!
$ PURGE /NOLOG 'OBJECT_DIR'
$ SET PROTECTION=W HT_EXE:WWWRKOUT'VARIETY'.EXE
$!-----------------------------------------------------------------------------
